/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_FILIALCEP                                               */
/* Tabela : FILIALCEP                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 09/04/2013 - Toms Prado Moura                                        */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_FILIALCEP' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_FILIALCEP
GO

CREATE TRIGGER DTULTATU_FILIALCEP
ON FILIALCEP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'FILIALCEP', null,'CDPAIS='+CDPAIS+';'+'NRCEP='+NRCEP+';'+'CDFILIAL='+CDFILIAL+';'+'CDLOJA='+CDLOJA+';', CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) FROM DELETED)
   END
   ELSE BEGIN
      UPDATE FILIALCEP
      SET DTULTATU = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
      FROM INSERTED
      WHERE (ISNULL(FILIALCEP.CDPAIS ,0) = ISNULL(INSERTED.CDPAIS ,0)) AND
            (ISNULL(FILIALCEP.NRCEP ,0) = ISNULL(INSERTED.NRCEP ,0)) AND
            (ISNULL(FILIALCEP.CDFILIAL ,0) = ISNULL(INSERTED.CDFILIAL ,0)) AND
            (ISNULL(FILIALCEP.CDLOJA ,0) = ISNULL(INSERTED.CDLOJA ,0))
   END;
END;
GO

UPDATE FILIALCEP SET DTULTATU = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) WHERE DTULTATU IS NULL
GO

IF EXISTS(SELECT * FROM sysobjects O
          WHERE
            o.name = 'DEFAULT_DTULTATUFILCEP' and
            type = 'D')
   ALTER TABLE FILIALCEP DROP CONSTRAINT DEFAULT_DTULTATUFILCEP
GO

ALTER TABLE FILIALCEP ADD CONSTRAINT DEFAULT_DTULTATUFILCEP
DEFAULT CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
FOR DTULTATU
GO

