CREATE TABLE FATURAMENTOROP (
  NRFILIALROP NUMBER(10) NOT NULL, 
  NRFATURAMENTOROP NUMBER(10) NOT NULL, 
  CDFILIAL VARCHAR2(4) NOT NULL, 
  DTENTRSAID DATE NOT NULL, 
  DTREFERENC DATE DEFAULT NULL NULL, 
  CDFATUDIVER VARCHAR2(2) DEFAULT NULL NULL, 
  CDTIPOOPER VARCHAR2(2) DEFAULT NULL NULL, 
  IDENTRSAIDOP VARCHAR2(1) DEFAULT NULL NULL, 
  CDCLIENTE VARCHAR2(21) DEFAULT NULL NULL, 
  DSFATURAMENTO VARCHAR2(100) DEFAULT NULL NULL, 
  CDFILIALLANC VARCHAR2(4) DEFAULT NULL NULL, 
  NRLANCTONF VARCHAR2(10) DEFAULT NULL NULL, 
  NRNOTAFISC VARCHAR2(20) DEFAULT NULL NULL, 
  CDSERIE VARCHAR2(5) DEFAULT NULL NULL, 
  NRNOTAFISCORIG VARCHAR2(20) DEFAULT NULL NULL, 
  CDSERIEORIG VARCHAR2(5) DEFAULT NULL NULL, 
  CDSERVFILI VARCHAR2(5) DEFAULT NULL NULL, 
  NRRECEXTRAFILI NUMBER(10) DEFAULT NULL NULL, 
  IDTPLANCROP VARCHAR2(30) NOT NULL, 
  CDFILIALCENT VARCHAR2(4) DEFAULT NULL NULL, 
  IDSTATUS VARCHAR2(1) DEFAULT NULL NULL, 
  DTINIREFEFAT DATE DEFAULT NULL NULL, 
  DTFINREFEFAT DATE DEFAULT NULL NULL, 
  VRFATURAMENTO DOUBLE PRECISION DEFAULT NULL NULL, 
  QTFATURAMENTO DOUBLE PRECISION DEFAULT NULL NULL, 
  NRORG NUMBER(10) DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL, 
  IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL, 
  DTINCLUSAO DATE DEFAULT NULL NULL, 
  DTULTATU DATE DEFAULT NULL NULL, 
  NRORGINCLUSAO NUMBER(10) DEFAULT 1 NULL, 
  NRORGULTATU NUMBER(10) DEFAULT 1 NULL, 
  CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL, 
  CDOPERULTATU VARCHAR2(12) DEFAULT '1' NULL,
  CONSTRAINT PK_FATURAMENTOROP PRIMARY KEY(NRFATURAMENTOROP)
)
/
ALTER TABLE FATURAMENTOROP ADD CONSTRAINT CKC_IDTPLANCROP_FATURAMENTOROP CHECK (IDTPLANCROP IN ('FAT_EFETIVO', 'FAT_NOTAFISCAL', 'FAT_FORSALE', 'FAT_DIVERSOS', 'RECEITA_EXTRA'))
/
ALTER TABLE FATURAMENTOROP ADD CONSTRAINT CKC_IDATIVO_FATURAMENTOROP CHECK (IDATIVO IN ('S','N'))
/
ALTER TABLE FATURAMENTOROP ADD CONSTRAINT FKGOP00706FILIALROP FOREIGN KEY (NRFILIALROP) REFERENCES FILIALROP (NRFILIALROP) ON DELETE CASCADE
/
ALTER TABLE FATURAMENTOROP ADD CONSTRAINT FKGOP00707FATUDIVER FOREIGN KEY (CDFATUDIVER) REFERENCES FATUDIVER (CDFATUDIVER)
/
ALTER TABLE FATURAMENTOROP ADD CONSTRAINT FKGOP00708FILIALROP FOREIGN KEY (NRRECEXTRAFILI) REFERENCES RECEXTRAFILI (NRRECEXTRAFILI)
/
CREATE INDEX FKGOP00706FILIALROP ON FATURAMENTOROP (NRFILIALROP)
/
CREATE INDEX FKGOP00707FATUDIVER ON FATURAMENTOROP (CDFATUDIVER)
/
CREATE INDEX FKGOP00708FILIALROP ON FATURAMENTOROP (NRRECEXTRAFILI)